.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* DMA */
.set DMA__DRQ_CTL, CYREG_IDMUX_DRQ_CTL0
.set DMA__DRQ_NUMBER, 0
.set DMA__NUMBEROF_TDS, 0
.set DMA__PRIORITY, 2
.set DMA__TERMIN_EN, 0
.set DMA__TERMIN_SEL, 0
.set DMA__TERMOUT0_EN, 1
.set DMA__TERMOUT0_SEL, 0
.set DMA__TERMOUT1_EN, 0
.set DMA__TERMOUT1_SEL, 0
.set DMA_CHANNELS_USED__MASK0, 0x00000001

/* LED */
.set LED__0__INTTYPE, CYREG_PICU15_INTTYPE4
.set LED__0__MASK, 0x10
.set LED__0__PC, CYREG_IO_PC_PRT15_PC4
.set LED__0__PORT, 15
.set LED__0__SHIFT, 4
.set LED__AG, CYREG_PRT15_AG
.set LED__AMUX, CYREG_PRT15_AMUX
.set LED__BIE, CYREG_PRT15_BIE
.set LED__BIT_MASK, CYREG_PRT15_BIT_MASK
.set LED__BYP, CYREG_PRT15_BYP
.set LED__CTL, CYREG_PRT15_CTL
.set LED__DM0, CYREG_PRT15_DM0
.set LED__DM1, CYREG_PRT15_DM1
.set LED__DM2, CYREG_PRT15_DM2
.set LED__DR, CYREG_PRT15_DR
.set LED__INP_DIS, CYREG_PRT15_INP_DIS
.set LED__INTTYPE_BASE, CYDEV_PICU_INTTYPE_PICU15_BASE
.set LED__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set LED__LCD_EN, CYREG_PRT15_LCD_EN
.set LED__MASK, 0x10
.set LED__PORT, 15
.set LED__PRT, CYREG_PRT15_PRT
.set LED__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set LED__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set LED__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set LED__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set LED__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set LED__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set LED__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set LED__PS, CYREG_PRT15_PS
.set LED__SHIFT, 4
.set LED__SLW, CYREG_PRT15_SLW

/* UART_tx */
.set UART_tx__0__INTTYPE, CYREG_PICU1_INTTYPE2
.set UART_tx__0__MASK, 0x04
.set UART_tx__0__PC, CYREG_PRT1_PC2
.set UART_tx__0__PORT, 1
.set UART_tx__0__SHIFT, 2
.set UART_tx__AG, CYREG_PRT1_AG
.set UART_tx__AMUX, CYREG_PRT1_AMUX
.set UART_tx__BIE, CYREG_PRT1_BIE
.set UART_tx__BIT_MASK, CYREG_PRT1_BIT_MASK
.set UART_tx__BYP, CYREG_PRT1_BYP
.set UART_tx__CTL, CYREG_PRT1_CTL
.set UART_tx__DM0, CYREG_PRT1_DM0
.set UART_tx__DM1, CYREG_PRT1_DM1
.set UART_tx__DM2, CYREG_PRT1_DM2
.set UART_tx__DR, CYREG_PRT1_DR
.set UART_tx__INP_DIS, CYREG_PRT1_INP_DIS
.set UART_tx__INTTYPE_BASE, CYDEV_PICU_INTTYPE_PICU1_BASE
.set UART_tx__LCD_COM_SEG, CYREG_PRT1_LCD_COM_SEG
.set UART_tx__LCD_EN, CYREG_PRT1_LCD_EN
.set UART_tx__MASK, 0x04
.set UART_tx__PORT, 1
.set UART_tx__PRT, CYREG_PRT1_PRT
.set UART_tx__PRTDSI__CAPS_SEL, CYREG_PRT1_CAPS_SEL
.set UART_tx__PRTDSI__DBL_SYNC_IN, CYREG_PRT1_DBL_SYNC_IN
.set UART_tx__PRTDSI__OE_SEL0, CYREG_PRT1_OE_SEL0
.set UART_tx__PRTDSI__OE_SEL1, CYREG_PRT1_OE_SEL1
.set UART_tx__PRTDSI__OUT_SEL0, CYREG_PRT1_OUT_SEL0
.set UART_tx__PRTDSI__OUT_SEL1, CYREG_PRT1_OUT_SEL1
.set UART_tx__PRTDSI__SYNC_OUT, CYREG_PRT1_SYNC_OUT
.set UART_tx__PS, CYREG_PRT1_PS
.set UART_tx__SHIFT, 2
.set UART_tx__SLW, CYREG_PRT1_SLW

/* Timer_TimerHW */
.set Timer_TimerHW__CAP0, CYREG_TMR0_CAP0
.set Timer_TimerHW__CAP1, CYREG_TMR0_CAP1
.set Timer_TimerHW__CFG0, CYREG_TMR0_CFG0
.set Timer_TimerHW__CFG1, CYREG_TMR0_CFG1
.set Timer_TimerHW__CFG2, CYREG_TMR0_CFG2
.set Timer_TimerHW__CNT_CMP0, CYREG_TMR0_CNT_CMP0
.set Timer_TimerHW__CNT_CMP1, CYREG_TMR0_CNT_CMP1
.set Timer_TimerHW__PER0, CYREG_TMR0_PER0
.set Timer_TimerHW__PER1, CYREG_TMR0_PER1
.set Timer_TimerHW__PM_ACT_CFG, CYREG_PM_ACT_CFG3
.set Timer_TimerHW__PM_ACT_MSK, 0x01
.set Timer_TimerHW__PM_STBY_CFG, CYREG_PM_STBY_CFG3
.set Timer_TimerHW__PM_STBY_MSK, 0x01
.set Timer_TimerHW__RT0, CYREG_TMR0_RT0
.set Timer_TimerHW__RT1, CYREG_TMR0_RT1
.set Timer_TimerHW__SR0, CYREG_TMR0_SR0

/* Pin_07 */
.set Pin_07__0__INTTYPE, CYREG_PICU0_INTTYPE7
.set Pin_07__0__MASK, 0x80
.set Pin_07__0__PC, CYREG_PRT0_PC7
.set Pin_07__0__PORT, 0
.set Pin_07__0__SHIFT, 7
.set Pin_07__AG, CYREG_PRT0_AG
.set Pin_07__AMUX, CYREG_PRT0_AMUX
.set Pin_07__BIE, CYREG_PRT0_BIE
.set Pin_07__BIT_MASK, CYREG_PRT0_BIT_MASK
.set Pin_07__BYP, CYREG_PRT0_BYP
.set Pin_07__CTL, CYREG_PRT0_CTL
.set Pin_07__DM0, CYREG_PRT0_DM0
.set Pin_07__DM1, CYREG_PRT0_DM1
.set Pin_07__DM2, CYREG_PRT0_DM2
.set Pin_07__DR, CYREG_PRT0_DR
.set Pin_07__INP_DIS, CYREG_PRT0_INP_DIS
.set Pin_07__INTTYPE_BASE, CYDEV_PICU_INTTYPE_PICU0_BASE
.set Pin_07__LCD_COM_SEG, CYREG_PRT0_LCD_COM_SEG
.set Pin_07__LCD_EN, CYREG_PRT0_LCD_EN
.set Pin_07__MASK, 0x80
.set Pin_07__PORT, 0
.set Pin_07__PRT, CYREG_PRT0_PRT
.set Pin_07__PRTDSI__CAPS_SEL, CYREG_PRT0_CAPS_SEL
.set Pin_07__PRTDSI__DBL_SYNC_IN, CYREG_PRT0_DBL_SYNC_IN
.set Pin_07__PRTDSI__OE_SEL0, CYREG_PRT0_OE_SEL0
.set Pin_07__PRTDSI__OE_SEL1, CYREG_PRT0_OE_SEL1
.set Pin_07__PRTDSI__OUT_SEL0, CYREG_PRT0_OUT_SEL0
.set Pin_07__PRTDSI__OUT_SEL1, CYREG_PRT0_OUT_SEL1
.set Pin_07__PRTDSI__SYNC_OUT, CYREG_PRT0_SYNC_OUT
.set Pin_07__PS, CYREG_PRT0_PS
.set Pin_07__SHIFT, 7
.set Pin_07__SLW, CYREG_PRT0_SLW

/* Pin_40 */
.set Pin_40__0__INTTYPE, CYREG_PICU4_INTTYPE0
.set Pin_40__0__MASK, 0x01
.set Pin_40__0__PC, CYREG_PRT4_PC0
.set Pin_40__0__PORT, 4
.set Pin_40__0__SHIFT, 0
.set Pin_40__AG, CYREG_PRT4_AG
.set Pin_40__AMUX, CYREG_PRT4_AMUX
.set Pin_40__BIE, CYREG_PRT4_BIE
.set Pin_40__BIT_MASK, CYREG_PRT4_BIT_MASK
.set Pin_40__BYP, CYREG_PRT4_BYP
.set Pin_40__CTL, CYREG_PRT4_CTL
.set Pin_40__DM0, CYREG_PRT4_DM0
.set Pin_40__DM1, CYREG_PRT4_DM1
.set Pin_40__DM2, CYREG_PRT4_DM2
.set Pin_40__DR, CYREG_PRT4_DR
.set Pin_40__INP_DIS, CYREG_PRT4_INP_DIS
.set Pin_40__INTTYPE_BASE, CYDEV_PICU_INTTYPE_PICU4_BASE
.set Pin_40__LCD_COM_SEG, CYREG_PRT4_LCD_COM_SEG
.set Pin_40__LCD_EN, CYREG_PRT4_LCD_EN
.set Pin_40__MASK, 0x01
.set Pin_40__PORT, 4
.set Pin_40__PRT, CYREG_PRT4_PRT
.set Pin_40__PRTDSI__CAPS_SEL, CYREG_PRT4_CAPS_SEL
.set Pin_40__PRTDSI__DBL_SYNC_IN, CYREG_PRT4_DBL_SYNC_IN
.set Pin_40__PRTDSI__OE_SEL0, CYREG_PRT4_OE_SEL0
.set Pin_40__PRTDSI__OE_SEL1, CYREG_PRT4_OE_SEL1
.set Pin_40__PRTDSI__OUT_SEL0, CYREG_PRT4_OUT_SEL0
.set Pin_40__PRTDSI__OUT_SEL1, CYREG_PRT4_OUT_SEL1
.set Pin_40__PRTDSI__SYNC_OUT, CYREG_PRT4_SYNC_OUT
.set Pin_40__PS, CYREG_PRT4_PS
.set Pin_40__SHIFT, 0
.set Pin_40__SLW, CYREG_PRT4_SLW

/* Pin_41 */
.set Pin_41__0__INTTYPE, CYREG_PICU4_INTTYPE1
.set Pin_41__0__MASK, 0x02
.set Pin_41__0__PC, CYREG_PRT4_PC1
.set Pin_41__0__PORT, 4
.set Pin_41__0__SHIFT, 1
.set Pin_41__AG, CYREG_PRT4_AG
.set Pin_41__AMUX, CYREG_PRT4_AMUX
.set Pin_41__BIE, CYREG_PRT4_BIE
.set Pin_41__BIT_MASK, CYREG_PRT4_BIT_MASK
.set Pin_41__BYP, CYREG_PRT4_BYP
.set Pin_41__CTL, CYREG_PRT4_CTL
.set Pin_41__DM0, CYREG_PRT4_DM0
.set Pin_41__DM1, CYREG_PRT4_DM1
.set Pin_41__DM2, CYREG_PRT4_DM2
.set Pin_41__DR, CYREG_PRT4_DR
.set Pin_41__INP_DIS, CYREG_PRT4_INP_DIS
.set Pin_41__INTTYPE_BASE, CYDEV_PICU_INTTYPE_PICU4_BASE
.set Pin_41__LCD_COM_SEG, CYREG_PRT4_LCD_COM_SEG
.set Pin_41__LCD_EN, CYREG_PRT4_LCD_EN
.set Pin_41__MASK, 0x02
.set Pin_41__PORT, 4
.set Pin_41__PRT, CYREG_PRT4_PRT
.set Pin_41__PRTDSI__CAPS_SEL, CYREG_PRT4_CAPS_SEL
.set Pin_41__PRTDSI__DBL_SYNC_IN, CYREG_PRT4_DBL_SYNC_IN
.set Pin_41__PRTDSI__OE_SEL0, CYREG_PRT4_OE_SEL0
.set Pin_41__PRTDSI__OE_SEL1, CYREG_PRT4_OE_SEL1
.set Pin_41__PRTDSI__OUT_SEL0, CYREG_PRT4_OUT_SEL0
.set Pin_41__PRTDSI__OUT_SEL1, CYREG_PRT4_OUT_SEL1
.set Pin_41__PRTDSI__SYNC_OUT, CYREG_PRT4_SYNC_OUT
.set Pin_41__PS, CYREG_PRT4_PS
.set Pin_41__SHIFT, 1
.set Pin_41__SLW, CYREG_PRT4_SLW

/* VDAC8_1_viDAC8 */
.set VDAC8_1_viDAC8__CR0, CYREG_DAC0_CR0
.set VDAC8_1_viDAC8__CR1, CYREG_DAC0_CR1
.set VDAC8_1_viDAC8__D, CYREG_DAC0_D
.set VDAC8_1_viDAC8__PM_ACT_CFG, CYREG_PM_ACT_CFG8
.set VDAC8_1_viDAC8__PM_ACT_MSK, 0x01
.set VDAC8_1_viDAC8__PM_STBY_CFG, CYREG_PM_STBY_CFG8
.set VDAC8_1_viDAC8__PM_STBY_MSK, 0x01
.set VDAC8_1_viDAC8__STROBE, CYREG_DAC0_STROBE
.set VDAC8_1_viDAC8__SW0, CYREG_DAC0_SW0
.set VDAC8_1_viDAC8__SW2, CYREG_DAC0_SW2
.set VDAC8_1_viDAC8__SW3, CYREG_DAC0_SW3
.set VDAC8_1_viDAC8__SW4, CYREG_DAC0_SW4
.set VDAC8_1_viDAC8__TR, CYREG_DAC0_TR
.set VDAC8_1_viDAC8__TRIM__M1, CYREG_FLSHID_CUST_TABLES_DAC0_M1
.set VDAC8_1_viDAC8__TRIM__M2, CYREG_FLSHID_CUST_TABLES_DAC0_M2
.set VDAC8_1_viDAC8__TRIM__M3, CYREG_FLSHID_CUST_TABLES_DAC0_M3
.set VDAC8_1_viDAC8__TRIM__M4, CYREG_FLSHID_CUST_TABLES_DAC0_M4
.set VDAC8_1_viDAC8__TRIM__M5, CYREG_FLSHID_CUST_TABLES_DAC0_M5
.set VDAC8_1_viDAC8__TRIM__M6, CYREG_FLSHID_CUST_TABLES_DAC0_M6
.set VDAC8_1_viDAC8__TRIM__M7, CYREG_FLSHID_CUST_TABLES_DAC0_M7
.set VDAC8_1_viDAC8__TRIM__M8, CYREG_FLSHID_CUST_TABLES_DAC0_M8
.set VDAC8_1_viDAC8__TST, CYREG_DAC0_TST

/* isr_DMA */
.set isr_DMA__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set isr_DMA__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set isr_DMA__INTC_MASK, 0x01
.set isr_DMA__INTC_NUMBER, 0
.set isr_DMA__INTC_PRIOR_NUM, 7
.set isr_DMA__INTC_PRIOR_REG, CYREG_NVIC_PRI_0
.set isr_DMA__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set isr_DMA__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* clock_Timer */
.set clock_Timer__CFG0, CYREG_CLKDIST_DCFG0_CFG0
.set clock_Timer__CFG1, CYREG_CLKDIST_DCFG0_CFG1
.set clock_Timer__CFG2, CYREG_CLKDIST_DCFG0_CFG2
.set clock_Timer__CFG2_SRC_SEL_MASK, 0x07
.set clock_Timer__INDEX, 0x00
.set clock_Timer__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set clock_Timer__PM_ACT_MSK, 0x01
.set clock_Timer__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set clock_Timer__PM_STBY_MSK, 0x01

/* Miscellaneous */
.set BCLK__BUS_CLK__HZ, 24000000
.set BCLK__BUS_CLK__KHZ, 24000
.set BCLK__BUS_CLK__MHZ, 24
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PANTHER, 19
.set CYDEV_CHIP_DIE_PSOC4A, 11
.set CYDEV_CHIP_DIE_PSOC5LP, 18
.set CYDEV_CHIP_DIE_TMA4, 2
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x2E123069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 11
.set CYDEV_CHIP_MEMBER_4C, 16
.set CYDEV_CHIP_MEMBER_4D, 7
.set CYDEV_CHIP_MEMBER_4E, 4
.set CYDEV_CHIP_MEMBER_4F, 12
.set CYDEV_CHIP_MEMBER_4G, 2
.set CYDEV_CHIP_MEMBER_4H, 10
.set CYDEV_CHIP_MEMBER_4I, 15
.set CYDEV_CHIP_MEMBER_4J, 8
.set CYDEV_CHIP_MEMBER_4K, 9
.set CYDEV_CHIP_MEMBER_4L, 14
.set CYDEV_CHIP_MEMBER_4M, 13
.set CYDEV_CHIP_MEMBER_4N, 6
.set CYDEV_CHIP_MEMBER_4O, 5
.set CYDEV_CHIP_MEMBER_4U, 3
.set CYDEV_CHIP_MEMBER_5A, 18
.set CYDEV_CHIP_MEMBER_5B, 17
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5B
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_PRODUCTION, 1
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REV_TMA4_ES, 17
.set CYDEV_CHIP_REV_TMA4_ES2, 33
.set CYDEV_CHIP_REV_TMA4_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4C_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4E_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256K, 0
.set CYDEV_CHIP_REVISION_4G_ES, 17
.set CYDEV_CHIP_REVISION_4G_ES2, 33
.set CYDEV_CHIP_REVISION_4G_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4H_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4I_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4J_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4K_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4L_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4M_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4N_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4O_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4U_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5B_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_FASTBOOT_ENABLED, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_AllowButWarn
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_DMA, 0
.set CYDEV_CONFIGURATION_ECC, 1
.set CYDEV_CONFIGURATION_IMOENABLED, CYDEV_CONFIG_FASTBOOT_ENABLED
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x20
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DEBUG
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_JTAG_4, 1
.set CYDEV_DEBUGGING_DPS_JTAG_5, 0
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS_SWD_SWV, 6
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD_SWV
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_DMA_CHANNELS_AVAILABLE, 24
.set CYDEV_ECC_ENABLE, 0
.set CYDEV_HEAP_SIZE, 0x80
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_INTR_RISING, 0x00000000
.set CYDEV_IS_EXPORTING_CODE, 0
.set CYDEV_IS_IMPORTING_CODE, 0
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LAUNCHER, 5
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER, 4
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_PROTECTION_ENABLE, 0
.set CYDEV_STACK_SIZE, 0x0800
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 0
.set CYDEV_VDDA_MV, 5000
.set CYDEV_VDDD_MV, 5000
.set CYDEV_VDDIO0_MV, 5000
.set CYDEV_VDDIO1_MV, 5000
.set CYDEV_VDDIO2_MV, 5000
.set CYDEV_VDDIO3_MV, 5000
.set CYDEV_VIO0_MV, 5000
.set CYDEV_VIO1_MV, 5000
.set CYDEV_VIO2_MV, 5000
.set CYDEV_VIO3_MV, 5000
.set CYIPBLOCK_ARM_CM3_VERSION, 0
.set CYIPBLOCK_P3_ANAIF_VERSION, 0
.set CYIPBLOCK_P3_CAN_VERSION, 0
.set CYIPBLOCK_P3_CAPSENSE_VERSION, 0
.set CYIPBLOCK_P3_COMP_VERSION, 0
.set CYIPBLOCK_P3_DECIMATOR_VERSION, 0
.set CYIPBLOCK_P3_DFB_VERSION, 0
.set CYIPBLOCK_P3_DMA_VERSION, 0
.set CYIPBLOCK_P3_DRQ_VERSION, 0
.set CYIPBLOCK_P3_DSM_VERSION, 0
.set CYIPBLOCK_P3_EMIF_VERSION, 0
.set CYIPBLOCK_P3_I2C_VERSION, 0
.set CYIPBLOCK_P3_LCD_VERSION, 0
.set CYIPBLOCK_P3_LPF_VERSION, 0
.set CYIPBLOCK_P3_OPAMP_VERSION, 0
.set CYIPBLOCK_P3_PM_VERSION, 0
.set CYIPBLOCK_P3_SCCT_VERSION, 0
.set CYIPBLOCK_P3_TIMER_VERSION, 0
.set CYIPBLOCK_P3_USB_VERSION, 0
.set CYIPBLOCK_P3_VIDAC_VERSION, 0
.set CYIPBLOCK_P3_VREF_VERSION, 0
.set CYIPBLOCK_S8_GPIO_VERSION, 0
.set CYIPBLOCK_S8_IRQ_VERSION, 0
.set CYIPBLOCK_S8_SAR_VERSION, 0
.set CYIPBLOCK_S8_SIO_VERSION, 0
.set CYIPBLOCK_S8_UDB_VERSION, 0
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
